
Salt - Bug #15958

Move to using strong parameters

08/03/2016 10:22 AM - Stephen Benjamin

Status: Closed   

Priority: Normal   

Assignee: Stephen Benjamin   

Category: Foreman Integration   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman_s

alt/pull/60

  

Description

Related issues:

Related to Foreman - Feature #3917: Add strong_parameters to foreman Closed 12/19/2013

Related to Salt - Bug #17451: Cannot select Salt States in Discovery or New H... Closed 11/22/2016

Related to Salt - Bug #18862: hammer salt-minion ForbiddenAttributesError New 03/10/2017

Associated revisions

Revision a3e870b7 - 08/18/2016 09:14 AM - Stephen Benjamin

fixes #15958 - move to strong parameters (#60)

History

#1 - 08/03/2016 10:22 AM - Stephen Benjamin

- Related to Feature #3917: Add strong_parameters to foreman added

#2 - 08/17/2016 02:39 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Stephen Benjamin

- Pull request https://github.com/theforeman/foreman_salt/pull/60 added

#3 - 08/18/2016 10:02 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset foreman_salt|a3e870b7c4db54b7fd6b52eba9d28007c0fb7263.

#4 - 11/23/2016 07:55 PM - Anonymous

- Related to Bug #17451: Cannot select Salt States in Discovery or New Host menu added

#5 - 03/11/2017 02:30 AM - Ben de Luca

- Related to Bug #18862: hammer salt-minion ForbiddenAttributesError added
